﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using MindFusion.Scheduling;
using MindFusion.Scheduling.Wpf;

namespace CustomTimetableHeader
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();

			calendar1.ItemResources.Add(new MindFusion.Scheduling.Resource { Name = "C1" });
			calendar1.ItemResources.Add(new MindFusion.Scheduling.Resource { Name = "C2" });
			calendar1.ItemResources.Add(new MindFusion.Scheduling.Resource { Name = "C3" });

			calendar1.ItemLocations.Add(new MindFusion.Scheduling.Location { Name = "L1" });
			calendar1.ItemLocations.Add(new MindFusion.Scheduling.Location { Name = "L2" });
			calendar1.ItemLocations.Add(new MindFusion.Scheduling.Location { Name = "L3" });

			calendar1.GroupType = MindFusion.Scheduling.Wpf.GroupType.GroupByLocations;

			calendar1.TimetableSettings.Dates.Add(DateTime.Today.AddDays(1));

			calendar1.TimetableSettings.HeaderStyle.HorizontalAlignment = System.Windows.HorizontalAlignment.Stretch;
			calendar1.TimetableSettings.HeaderStyle.VerticalAlignment = System.Windows.VerticalAlignment.Stretch;

			// Prevent creation, deletion and modification
			calendar1.AllowInplaceCreate = false;
			calendar1.AllowInplaceEdit = false;
			calendar1.ItemModifying += (s, e) => e.Confirm = false;
			calendar1.ItemDeleting += (s, e) => e.Confirm = false;
		}

		private void Grid_MouseDown(object sender, MouseButtonEventArgs e)
		{
			var grid = sender as Grid;
			var text = grid.Children[0] as TextBlock;
			MessageBox.Show(text.Text);
		}
	}
}
